Download it now!
Bug 122887 - Moving anchor for shape + text box leaves text box behind
Summary: Moving anchor for shape + text box leaves text box behind
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap Shape-Textbox
  Show dependency treegraph
 
Reported: 2019-01-23 01:23 UTC by Aron Budea
Modified: 2020-10-27 13:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looks in the current master (184.60 KB, image/png)
2020-07-28 09:46 UTC, Attila Bakos (NISZ)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-01-23 01:23:37 UTC
- In an empty document, add a single empty line.
- Add a shape somewhere, it's going to be anchored to the second line.
- Select shape, and move its anchor up to the first line.
- Right-click shape, select Add Text Box.

=> Text box is created in the wrong (shape's original) position.

The same happens if the text box is created for the shape first, and the anchor is moved afterwards.

Observed using LO 6.3.0.0.alpha0+ (6d70e04f66cbeb3aeeb1e9b69d5b201ae3d24747) & 4.4.0.3 / Windows 7.
In 4.0.0.3 it's not possible to insert text box to for a shape.
Comment 1 Telesto 2019-01-23 20:38:14 UTC
Repro
Version: 6.3.0.0.alpha0+
Build ID: 6740443311268b7d918bf4f43134d64fb78a0109
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-15_23:37:04
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

Did report something similar a long time ago.. @V Stuart Foote noted that there are two types of text insertion. 

1. Take a Circle or Square (not working for Rectangle, but for most shapes).. double click it -> Text cursor will appear..
2. Other way: Right-click shape, select Add Text Box.

There was some talk about unification..
Comment 2 Commit Notification 2020-07-23 15:29:10 UTC
Bakos Attila committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fd88bb81236ad6d1a63436b7ce20f2f93410d359

tdf#107225 tdf#122887 sw: fix reanchoring of textboxes

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Attila Bakos (NISZ) 2020-07-28 09:46:48 UTC
Created attachment 163677 [details]
How it looks in the current master
Comment 4 BogdanB 2020-08-14 19:21:55 UTC
Solved 

Verified in
Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded